de.esprit.netsuite.client.net

## Class AgentResponseHandler

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<ClientContext>
      - - de.esprit.netsuite.client.net.AgentResponseHandler

- All Implemented Interfaces:
    ApplicationObject<ClientContext>, SimpleLogSupport, Dumpable, ClientObject<ClientContext>

      public class AgentResponseHandler
      extends AbstractClientObject<ClientContext>

  This class handles an agent that has been received in a response
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentResponseHandler(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleResponseConfirmed(Agent agent)`
    `void` | `handleResponseReceived(Agent agent)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentResponseHandler

          public AgentResponseHandler(ClientContext clientCtx)

  - ### Method Detail

    - #### handleResponseReceived

          public void handleResponseReceived(Agent agent)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### handleResponseConfirmed

          public void handleResponseConfirmed(Agent agent)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.